#version 430 core
in vec4 vCol;
in vec3 vPos;
in vec3 vparams;
layout (location=0) out vec4 fCol;
layout (location=1) out vec4 fPos;
void main()
{
  float d = (dot(vec2(vparams.xy),vec2(vparams.xy)));
  if ( d > 1 || d < vparams.z ) {discard;}
  fCol = vCol;
  fPos = vec4(vPos,1);
}
